package com.example.zijincao.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 国家种植表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-9
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "国家种植表",description = "")
@TableName("ta_country")
public class TaCountry implements Serializable,Cloneable{
    /** 国家ID */
    @ApiModelProperty(name = "国家ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 国家名称 */
    @ApiModelProperty(name = "国家名称",notes = "")
    private String name ;
    /** 定位 */
    @ApiModelProperty(name = "定位",notes = "")
    private String loc ;
    /** 数量 */
    @ApiModelProperty(name = "数量",notes = "")
    private Integer num ;

}