package com.example.zijincao.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.zijincao.entity.TaCountry;
import com.example.zijincao.mapper.TaCountryMapper;
import com.example.zijincao.service.TaCountryService;

/**
 * 国家种植表;(ta_country)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-9
 */
@Service
public class TaCountryServiceImpl extends BaseServiceImpl<TaCountryMapper, TaCountry> implements TaCountryService {

    @Override
    public void updateByName(String name, int i) {
        baseMapper.updateByName(name, i);
    }
}